Rensei docs

Read a durable A2A stream without changing participant state.

Read a durable A2A stream without changing participant state. - Rensei REST API operation reference.

GET
/api/projects/{projectId}/a2a/messages

Path Parameters

projectId*string
Length1 <= length

Query Parameters

streamId*string
Length1 <= length <= 512
cursor?string
Length1 <= length <= 4096
afterSeq?integer
Range0 <= value <= 9007199254740991
limit?integer
Range1 <= value <= 200
senderId?string
Length1 <= length <= 256
recipientId?string
Length1 <= length <= 256
status?string
Length1 <= length <= 128
from?string
Match^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d+)?(?:Z|([+-](?:[01]\d|2[0-3]):[0-5]\d)))$
Formatdate-time
to?string
Match^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d+)?(?:Z|([+-](?:[01]\d|2[0-3]):[0-5]\d)))$
Formatdate-time

Response Body

Chronological messages with threading, durable provenance, and read-only consumer cursor facts.

application/json
  1. response
messages*array<>
nextCursor*string|null
nextAfterSeq*|
Range0 < value <= 9007199254740991
truncated*boolean
Example Request
curl -X GET 'https://app.rensei.ai/api/projects/string/a2a/messages?streamId=string'
Example Response
{  "messages": [    {      "id": "string",      "streamId": "string",      "seq": 1,      "messageId": "string",      "contextId": "string",      "taskId": "string",      "senderId": "string",      "recipientId": "string",      "role": "string",      "mailboxStatus": "string",      "replyToMessageId": "string",      "parts": [        {          "property1": null,          "property2": null        }      ],      "metadata": {        "property1": null,        "property2": null      },      "extensions": [        "string"      ],      "source": "string",      "createdAt": "2019-08-24T14:15:22Z",      "deliveryEvidence": "durable_append",      "consumerState": {        "read": true,        "unread": true,        "acknowledged": true,        "unacknowledged": true,        "lastReadSeq": 0,        "lastAcknowledgedSeq": 0,        "readAtUpperBound": "2019-08-24T14:15:22Z",        "acknowledgedAtUpperBound": "2019-08-24T14:15:22Z",        "acknowledgementLatencyUpperBoundMs": 0,        "readEvidence": "server_owned_stream_cursor",        "acknowledgementEvidence": "application_acknowledgement_cursor"      }    }  ],  "nextCursor": "string",  "nextAfterSeq": 1,  "truncated": true}